global:
  registry: docker.io
  repository: freeleaps
  environment: prod
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-backend-dashboard
  title: Backend Service Dashboard (PROD)
  metricsPrefix: freeleaps_backend
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/freeleaps/*.log
  logPath: /app/log/freeleaps
freeleaps:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: backend
    tag: 1.12.0
    imagePullPolicy: Always
  ports:
  - name: http
    containerPort: 8001
    protocol: TCP
  resources:
    requests:
      cpu: 300m
      memory: 128Mi
    limits:
      cpu: 500m
      memory: 512Mi
  probes: {}
  services:
  - name: freeleaps-service
    type: ClusterIP
    port: 8001
    targetPort: 8001
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      interval: 30s
      scrapeTimeout: ''
  ingresses: []
  configs:
    tz: UTC
    appName: freeleaps
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8001
    mongodbName: freeleaps2
    mongodbPort: 27017
    emailFrom: freeleaps@freeleaps.com
    siteUrlRoot: https://freeleaps.com
    jwtAlgorithm: HS256
    rabbitmqHost: freeleaps-prod-rabbitmq-headless.freeleaps-prod.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    freeleapsDevsvcEndpoint: http://devsvc-service.freeleaps-prod.svc.freeleaps.cluster:8007/api/devsvc/
    freeleapsContentEndpoint: http://content-service.freeleaps-prod.svc.freeleaps.cluster:8013/api/content/
    freeleapsCentralStorageEndpoint: http://central-storage-service.freeleaps-prod.svc.freeleaps.cluster:8005/api/central_storage/
    freeleapsChatEndpoint: http://chat-service.freeleaps-prod.svc.freeleaps.cluster:8012/api/chat/
    freeleapsPaymentEndpoint: http://payment-service.freeleaps-prod.svc.freeleaps.cluster:8006/api/payment/
    freeleapsAuthenticationEndpoint: http://authentication-service.freeleaps-prod.svc.freeleaps.cluster:8004/api/auth/
    freeleapsNotificationEndpoint: http://notification-service.freeleaps-prod.svc.freeleaps.cluster:8003/api/notification/
    freeleapsDevopsEndpoint: http://devops-service.freeleaps-prod.svc.freeleaps.cluster:8014/api
    freeleapsDeploymentEndpoint: http://devops-service.freeleaps-prod.svc.freeleaps.cluster:8014
    freeleapsMetricsEndpoint: http://metrics-service.freeleaps-prod.svc.freeleaps.cluster:8009/api
    freeleapsAilabEndpoint: ''
    appEnv: prod
    redisIsCluster: 'true'
    metricsEnabled: 'true'
    probesEnabled: 'true'
    giteaEndpoint: https://gitea.freeleaps.mathmast.com/
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-freeleaps-prod-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: mongodbUri
      remoteRef:
        key: freeleaps-prod-mongodb-uri
        type: Secret
    - key: jwtSecretKey
      remoteRef:
        key: freeleaps-prod-jwt-secret-key
        type: Secret
    - key: stripeApiKey
      remoteRef:
        key: freeleaps-prod-stripe-api-key
        type: Secret
    - key: stripeWebhookSecret
      remoteRef:
        key: freeleaps-prod-stripe-webhook-secret
        type: Secret
    - key: stripeAccountWebhookSecret
      remoteRef:
        key: freeleaps-prod-stripe-account-webhook-secret
        type: Secret
    - key: stripeSubscriptionWebhookSecret
      remoteRef:
        key: freeleaps-prod-stripe-subscription-webhook-secret
        type: Secret
    - key: rabbitmqPassword
      remoteRef:
        key: freeleaps-prod-rabbitmq-password
        type: Secret
    - key: redisUrl
      remoteRef:
        key: freeleaps-prod-redis-url
        type: Secret
    - key: giteaApiKey
      remoteRef:
        key: freeleaps-prod-gitea-api-key
        type: Secret
  vpa:
    minAllowed:
      enabled: true
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 256Mi
    controlledResources:
    - cpu
    - memory
